Skip to main content
POST
/
v1
/
workflow-runs
/
{workflowRunID}
/
retry
Retry a workflow run
curl --request POST \
  --url https://api.strait.dev/v1/workflow-runs/{workflowRunID}/retry \
  --header 'Authorization: Bearer <token>'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "project_id": "<string>",
  "status": "<string>",
  "triggered_by": "<string>",
  "workflow_id": "<string>",
  "workflow_version": 123,
  "$schema": "<string>",
  "created_by": "<string>",
  "error": "<string>",
  "expected_completion_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z",
  "max_parallel_steps": 123,
  "parent_step_run_id": "<string>",
  "parent_workflow_run_id": "<string>",
  "payload": "<unknown>",
  "retry_of_run_id": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "tags": {},
  "trace_context": {},
  "workflow_snapshot_id": "<string>",
  "workflow_version_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

workflowRunID
string
required

Response

OK

created_at
string<date-time>
required
id
string
required
project_id
string
required
status
string
required
triggered_by
string
required
workflow_id
string
required
workflow_version
integer<int64>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/WorkflowRun.json"

created_by
string
error
string
expected_completion_at
string<date-time>
expires_at
string<date-time>
finished_at
string<date-time>
max_parallel_steps
integer<int64>
parent_step_run_id
string
parent_workflow_run_id
string
payload
any
retry_of_run_id
string
started_at
string<date-time>
tags
object
trace_context
object
workflow_snapshot_id
string
workflow_version_id
string